﻿Public Class Form1

    Private Sub Form1_Shown(sender As Object, e As EventArgs) Handles Me.Shown
        AddHandler MySingleton.MyInstance.MyTestEvent, AddressOf MyEvent_Raised
    End Sub

    Private Sub Form1_FormClosing(sender As Object, e As FormClosingEventArgs) Handles Me.FormClosing
        RemoveHandler MySingleton.MyInstance.MyTestEvent, AddressOf MyEvent_Raised
    End Sub

    Private Sub MyEvent_Raised(parameter As String)
        MessageBox.Show(String.Format("Event aus Signleton Klasse wurde geworfen. Parameter: {0}", parameter.ToString))
    End Sub

    Private Sub btnRaiseEvent_Click(sender As Object, e As EventArgs) Handles btnRaiseEvent.Click
        MySingleton.MyInstance.RaiseTestEvent(Now.ToString)
    End Sub

    Private Sub btnGetProperty_Click(sender As Object, e As EventArgs) Handles btnGetProperty.Click
        MessageBox.Show(String.Format("der wert des Property in der Singleton-Klasse ist aktuell: {0}", MySingleton.MyInstance.TestProperty))
    End Sub

    Private Sub txtSetProperty_Leave(sender As Object, e As EventArgs) Handles txtSetProperty.Leave
        MySingleton.MyInstance.TestProperty = txtSetProperty.Text
    End Sub

End Class
